Index: ChangeLog
===================================================================
RCS file: /project/slime/cvsroot/slime/ChangeLog,v
retrieving revision 1.879
diff -u -r1.879 ChangeLog
--- ChangeLog	1 Apr 2006 22:55:28 -0000	1.879
+++ ChangeLog	9 Apr 2006 22:24:29 -0000
@@ -1,3 +1,14 @@
+2006-04-09  Nathan Bird <nathan@acceleration.net>
+
+	* slime.el (slime-find-filename-translators): Change from using
+	assoc-default to find-if out of cl-seq
+
+2006-04-02  Nathan Bird <nathan@acceleration.net>
+
+	* swank-loader.lisp (swank-source-files):  use the source-directory 
+	as the defaults for the source-file pathnames. Necessary on windows
+	when loading swank on a different drive (device) than the lisp is on.
+
 2006-04-01  Matthew D. Swank <akopa@charter.net>
 
 	* slime.el (slime-fontify-string): Use set-text-properties, not
Index: slime.el
===================================================================
RCS file: /project/slime/cvsroot/slime/slime.el,v
retrieving revision 1.616
diff -u -r1.616 slime.el
--- slime.el	2 Apr 2006 18:26:47 -0000	1.616
+++ slime.el	9 Apr 2006 22:24:35 -0000
@@ -1266,8 +1266,14 @@
            filename))
 
 (defun slime-find-filename-translators (hostname)
-  (or (assoc-default hostname slime-filename-translations #'string-match)
-      (error "No filename-translations for hostname: %s" hostname)))
+  (let ((match (find-if (lambda (hn-regexp) 
+                          (string-match hn-regexp
+                                        hostname))
+                        slime-filename-translations
+                        :key 'car)))
+          (unless match
+            (error "No filename-translations for hostname: %s" hostname))
+          (cdr match)))
 
 (defun slime-make-tramp-file-name (username remote-host lisp-filename)
   "Old (with multi-hops) tramp compatability function"
Index: swank-loader.lisp
===================================================================
RCS file: /project/slime/cvsroot/slime/swank-loader.lisp,v
retrieving revision 1.58
diff -u -r1.58 swank-loader.lisp
--- swank-loader.lisp	16 Mar 2006 17:26:27 -0000	1.58
+++ swank-loader.lisp	9 Apr 2006 22:24:36 -0000
@@ -181,7 +181,7 @@
 (defun swank-source-files (source-directory)
   (mapcar (lambda (name)
             (make-pathname :name name :type "lisp"
-                           :directory (pathname-directory source-directory)))
+                           :defaults source-directory))
           `("swank-backend" ,@*sysdep-files* "swank")))
 
 (defvar *fasl-directory* (default-fasl-directory)
@@ -196,4 +196,4 @@
   (load-site-init-file source-directory)
   (load-user-init-file))
 
-(load-swank)
\ No newline at end of file
+(load-swank)
